Skip to main content

Update amenity

PUThttps://api.propexo.com/v1/amenities/:amenity_id

Update an amenity for an integration.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

amenity_id stringrequired

The ID of the resource.

Request​

This endpoint expects an object.

    namestring

    The name associated with the amenity

    descriptionstring

    Description of the amenity

    is_publishedboolean

    Whether the amenity should be published

Response​

Successful response

    job_idstringrequired

    The ID of the job created to handle this operation

    data objectrequired
    object

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/amenities/:amenity_id
curl -X PUT https://api.propexo.com/v1/amenities/:amenity_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"name": "string",
"description": "string",
"is_published": true
}'
200 Successful response
{
"job_id": "string",
"data": {}
}